﻿body, #mainForm, .be-wrapper, .be-content {
    height: 100%;
}

.text-bold {
    font-weight: 700 !important;
}

.be-content {
    display: flex;
    flex-direction: column;
}

.main-content {
    flex-grow: 1;
}

tr td input {
    margin-right: 20px
}


/* START: Layoutanpassung Seitentitel */
.page-head-title {
    font-size: 24px;
    line-height: 18px;
}
/* END: Layoutanpassung Seitentitel */

/* START: Page Fade-In in Verbindung mit Font-Awesome */
.fontawesome-i2svg-active body.fa-fade-in {
    opacity: 1;
    visibility: visible;
}

body.fa-fade-in form.main-form {
    /*visibility: hidden;
    opacity: 0;
    transition: opacity .2s linear;*/
    /*display:none;*/
}
/* END: Page Fade-In in Verbindung mit Font-Awesome */

/* START: Anpassungen für Logo */
.be-top-header .be-navbar-header .navbar-brand {
    line-height: 60px;
    height: 60px;
    width: 230px;
    background-image: url("/assets/img/logo-xx.png");
    background-repeat: no-repeat;
    background-position: center 10px;
    background-size: 140px;
    padding: 0 20px;
    margin: 0;
    display: block;
}
/* END: Anpassungen für Logo */

/* START: Convenience-Klassen */
.c-pointer {
    cursor: pointer;
}
/* END: Convenience-Klassen */

/* START: Anpassung Table-Actions */
.card-header .tools .icon[data-fa-i2svg] {
    font-size: 1.1rem;
    min-width: 1.1rem;
}
/* END: Anpassung Table-Actions */

/* START: Anpassungen SELECT2 */
select.form-control-sm + .select2 .select2-selection {
    height: 37px !important;
}

.select2-selection__arrow {
    height: 100% !important;
}

select.form-control-sm + .select2-container--default .select2-selection--single .select2-selection__arrow b::after {
    line-height: unset;
}

select.form-control-sm + .select2.select2-container--default .select2-selection--single .select2-selection__rendered {
    height: 2.65816rem;
    line-height: 2.65816rem;
}

.select2-no-arrow + .select2 .select2-selection__arrow {
    display: none;
}
/* END: Anpassungen SELECT2 */

/* START: Anpassungen FormControls */
.form-control-sm + .input-group-append a.btn {
    line-height: 35px;
}
/* END: Anpassungen FormControls */

/* START: Anpassungen für Tabellenübersichten */
.table-separated-row {
    border-top: 2px solid #dee2e6;
}

td.actions,
th.actions {
    width: 70px;
}
/* END: Anpassungen für Tabellenübersichten */

a * {
    pointer-events: none;
}

.moduleIcon {
    font-size: 2rem;
}

.be-datatable-header {
    padding: 15px 5px 22px;
}

.card-search > .card-header {
    padding-top: 10px;
}

.required:after {
    color: #ea4335 !important;
    content: ' *';
}

.avatar {
    width: 32px;
    height: 32px;
    line-height: 32px !important;
    font-weight: bolder !important;
    font-size: 110% !important;
    background-color: antiquewhite;
}

    .avatar:focus,
    .avatar:active {
        color: initial !important;
    }


.modal.modal-w-25 > .modal-dialog {
    width: 25% !important;
    max-width: none;
}

.modal.modal-w-50 > .modal-dialog {
    width: 50% !important;
    max-width: none;
}

.modal.modal-w-75 > .modal-dialog {
    width: 75% !important;
    max-width: none;
}

.modal.modal-w-100 > .modal-dialog {
    width: 100% !important;
    max-width: none;
}

.modal.modal-w-25 .modal-content,
.modal.modal-w-50 .modal-content,
.modal.modal-w-75 .modal-content,
.modal.modal-w-100 .modal-content {
    width: 100%;
    max-width: none;
}

.detail-description {
    font-size: 0.8462rem;
    color: #999999;
}

.linkedTable table > tbody > tr:not(.unlinkedRow) > td:not(.unlinkedCell) {
    cursor: pointer;
}

/*============== Context Buttons in Tables ==============*/
table .table-actions-cell {
    position: relative;
}

table .table-actions-toolbar {
    visibility: hidden;
    position: absolute;
    display: flex;
    top: 0;
    right: 0;
    border-top: 0;
    height: 100%;
    padding-left: 30px;
    align-items: center;
    justify-content: center;
    background: -moz-linear-gradient(left, rgba(236,236,236,0) 0%, rgba(236,236,236,1) 22%);
    background: -webkit-linear-gradient(left, rgba(236,236,236,0) 0%,rgba(236,236,236,1) 22%);
    background: linear-gradient(to right, rgba(236,236,236,0) 0%,rgba(236,236,236,1) 22%);
}

table tr:hover .table-actions-toolbar {
    visibility: visible;
}

.table-actions-toolbar-item {
    display: flex;
    width: 32px;
    height: 32px;
    margin: 2px;
    text-align: center;
    color: rgb(117, 117, 117);
    align-items: center;
    justify-content: center;
    font-size: 1.15em;
    border-radius: 100%;
    transition: background-color 0.2s, color 0.2s, font-size 0.2s, width 0.2s, height 0.2s, margin 0.2s;
}

    .table-actions-toolbar-item:hover {
        color: #4d4d4d;
        background-color: rgba(0,0,0,0.1);
        border: 1px solid rgba(0,0,0,0.1);
        width: 36px;
        height: 36px;
        margin: 0;
        font-size: 1.4em;
    }

table .table-active .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(218,218,218,0) 0%, rgba(218,218,218,1) 22%);
    background: -webkit-linear-gradient(left, rgba(218,218,218,0) 0%,rgba(218,218,218,1) 22%);
    background: linear-gradient(to right, rgba(218,218,218,0) 0%,rgba(218,218,218,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00dadada', endColorstr='#dadada',GradientType=1 );
}

table .table-primary .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(159,205,255,0) 0%, rgba(159,205,255,1) 22%);
    background: -webkit-linear-gradient(left, rgba(159,205,255,0) 0%,rgba(159,205,255,1) 22%);
    background: linear-gradient(to right, rgba(159,205,255,0) 0%,rgba(159,205,255,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#009fcdff', endColorstr='#9fcdff',GradientType=1 );
}

table .table-secondary .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(200,203,207,0) 0%, rgba(200,203,207,1) 22%);
    background: -webkit-linear-gradient(left, rgba(200,203,207,0) 0%,rgba(200,203,207,1) 22%);
    background: linear-gradient(to right, rgba(200,203,207,0) 0%,rgba(200,203,207,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00c8cbcf', endColorstr='#c8cbcf',GradientType=1 );
}

table .table-success .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(177,223,187,0) 0%, rgba(177,223,187,1) 22%);
    background: -webkit-linear-gradient(left, rgba(177,223,187,0) 0%,rgba(177,223,187,1) 22%);
    background: linear-gradient(to right, rgba(177,223,187,0) 0%,rgba(177,223,187,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00b1dfbb', endColorstr='#b1dfbb',GradientType=1 );
}

table .table-danger .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(241,176,183,0) 0%, rgba(241,176,183,1) 22%);
    background: -webkit-linear-gradient(left, rgba(241,176,183,0) 0%,rgba(241,176,183,1) 22%);
    background: linear-gradient(to right, rgba(241,176,183,0) 0%,rgba(241,176,183,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00f1b0b7', endColorstr='#f1b0b7',GradientType=1 );
}

table .table-warning .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(255,232,161,0) 0%, rgba(255,232,161,1) 22%);
    background: -webkit-linear-gradient(left, rgba(255,232,161,0) 0%,rgba(255,232,161,1) 22%);
    background: linear-gradient(to right, rgba(255,232,161,0) 0%,rgba(255,232,161,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffe8a1', endColorstr='#ffe8a1',GradientType=1 );
}

table .table-info .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(171,221,229,0) 0%, rgba(171,221,229,1) 22%);
    background: -webkit-linear-gradient(left, rgba(171,221,229,0) 0%,rgba(171,221,229,1) 22%);
    background: linear-gradient(to right, rgba(171,221,229,0) 0%,rgba(171,221,229,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00abdde5', endColorstr='#abdde5',GradientType=1 );
}

table .table-light .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(236,236,246,0) 0%, rgba(236,236,246,1) 22%);
    background: -webkit-linear-gradient(left, rgba(236,236,246,0) 0%,rgba(236,236,246,1) 22%);
    background: linear-gradient(to right, rgba(236,236,246,0) 0%,rgba(236,236,246,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ececf6', endColorstr='#ececf6',GradientType=1 );
}

table .table-dark .table-actions-toolbar {
    background: -moz-linear-gradient(left, rgba(185,187,190,0) 0%, rgba(185,187,190,1) 22%);
    background: -webkit-linear-gradient(left, rgba(185,187,190,0) 0%,rgba(185,187,190,1) 22%);
    background: linear-gradient(to right, rgba(185,187,190,0) 0%,rgba(185,187,190,1) 22%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00b9bbbe', endColorstr='#b9bbbe',GradientType=1 );
}
/*============== Context Buttons in Tables ==============*/

/* Content Carousel */
.MultiCarousel {
    float: left;
    overflow: hidden;
    padding: 15px;
    width: 100%;
    position: relative;
}

    .MultiCarousel .MultiCarousel-inner {
        transition: 0.5s ease all;
        float: left;
    }

        .MultiCarousel .MultiCarousel-inner .item {
            float: left;
        }

    .MultiCarousel .leftLst, .MultiCarousel .rightLst {
        position: absolute;
        border-radius: 50%;
        top: calc(50% - 20px);
    }

    .MultiCarousel .leftLst {
        left: 0;
    }

    .MultiCarousel .rightLst {
        right: 0;
    }

        .MultiCarousel .leftLst.over, .MultiCarousel .rightLst.over {
            visibility:hidden;
        }

.CatalogItemEditLink {
    visibility: hidden;
}

.CatalogItem:hover .CatalogItemEditLink {
    visibility: visible;
}
/* End of Content Carousel */



.progress-bar-success {
    background-color: #00CC00;
}
.left-cont-btn {
    margin-top:25px;
}
.left-cont-btn .btn {
    width:100%;
    margin-bottom:15px;
    text-align:left;
}
    .left-cont-btn .btn i {
        margin-right:5px;
    }

.dd-article {
    padding-left: 10px !important;
}
    .dd-article text {
        width: 100%;
        display: inline-block;
    }
.DivKapitelName,
.DivThemaName,
.DivBlockName,
.DivArticleNumber {
    font-weight: bolder;
    text-align: left;
}
.changeStatus {
    width: 15px !important;
    height: 15px !important;
    background-color: #fff;
    border:1px solid #888;
}

.status-default .changeStatus {
    background-color: #eee;
}
.status-marksave .changeStatus {
    background-color: #fff;
}
.dd-article .status-marksave .btnArticleSubmit {
    color: #00CC00;
}
.status-markdelete .changeStatus {
    background-color: red;
}
.dd-article .status-markdelete .btnArticleDelete {
    color: red;
}
.status-markchanged .changeStatus {
    background-color: #fff;
    border-color:red;
}
.markchangetext .changeStatus {
    border-color: red;
}
.dd-article .status-markchanged .btnArticleEdit {
    color: #000;
}

.dd-article .status-markcheck .btnCheckOk {
    font-weight: bolder;
    color: #000;
    background-color:lightgreen;
}

.status-markmoved .changeStatus {
    background-color: #0055ff;
}
.status-marknew .changeStatus {
    background-color: green;
} 
.status-edit-none {
    border-left: 5px solid #CCCCCC;
}

.status-edit-start {
    border-left: 5px solid #FF8000;
}

.status-edit-finish {
    border-left: 5px solid #00CC00;
}
.col.colmarker {
    padding:0px;
}

.aspNetDisabled.btn {
    color:#ddd !important;
}